"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocketIO = void 0;
require("reflect-metadata");
const socketio_1 = require("./socketio");
const parser_1 = require("./parser");
const transport_1 = require("./transport");
exports.SocketIO = Object.assign({
    name: 'socketio',
    module: socketio_1.SocketIOPlugin,
    parser: parser_1.SocketIOParser,
    response: parser_1.SocketIOResponse,
}, { send: transport_1.send });
//# sourceMappingURL=index.js.map