"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const socket_server_1 = require("./servers/socket.server");
const injection_1 = require("@methodus/server/injection");
(() => __awaiter(void 0, void 0, void 0, function* () {
    const testTarget = injection_1.default.Injector.resolve('TestTarget');
    let server;
    yield new Promise((resolve, reject) => __awaiter(void 0, void 0, void 0, function* () {
        server = new socket_server_1.SocketTestServer();
        server.on('ready', () => {
            resolve();
        });
    }));
    const response = yield testTarget.list('someauth', 'up');
    console.log(response);
}))();
//# sourceMappingURL=socket.test.js.map