"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestTarget = void 0;
const decorators_1 = require("@methodus/server/decorators");
const commons_1 = require("@methodus/server/commons");
let TestTarget = class TestTarget {
    create(files, cookies, name) {
        return __awaiter(this, void 0, void 0, function* () {
            return new commons_1.MethodResult({});
        });
    }
    list(auth, orderBy) {
        return __awaiter(this, void 0, void 0, function* () {
            return new commons_1.MethodResult({});
        });
    }
    listdefaults(params, body, headers, files, cookies, query, res, req, securityContext) {
        return __awaiter(this, void 0, void 0, function* () {
            return new commons_1.MethodResult({});
        });
    }
    read(playerId) {
        return __awaiter(this, void 0, void 0, function* () {
            return new commons_1.MethodResult({});
        });
    }
    getByField(field, value) {
        return __awaiter(this, void 0, void 0, function* () {
            return new commons_1.MethodResult({});
        });
    }
    update() {
        return __awaiter(this, void 0, void 0, function* () {
            return new commons_1.MethodResult({});
        });
    }
    delete() {
        return __awaiter(this, void 0, void 0, function* () {
            return new commons_1.MethodResult({});
        });
    }
};
__decorate([
    decorators_1.default.MethodPipe('Post', '/api/player'),
    __param(0, commons_1.Mapping.Files('files')), __param(1, commons_1.Mapping.Cookies('cookies')), __param(2, commons_1.Mapping.Body('name')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object, String]),
    __metadata("design:returntype", Promise)
], TestTarget.prototype, "create", null);
__decorate([
    decorators_1.default.MethodMock({}),
    decorators_1.default.Method('Get', '/api/player'),
    __param(0, commons_1.Mapping.Headers('auth')), __param(1, commons_1.Mapping.Query('order_by')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String]),
    __metadata("design:returntype", Promise)
], TestTarget.prototype, "list", null);
__decorate([
    decorators_1.default.Method('Get', '/api/player/desfaults'),
    __param(0, commons_1.Mapping.Param()),
    __param(1, commons_1.Mapping.Body()),
    __param(2, commons_1.Mapping.Headers()),
    __param(3, commons_1.Mapping.Files()),
    __param(4, commons_1.Mapping.Cookies()),
    __param(5, commons_1.Mapping.Query()),
    __param(6, commons_1.Mapping.Response()),
    __param(7, commons_1.Mapping.Request()),
    __param(8, commons_1.Mapping.SecurityContext()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object, Object, Object, Object, Object, Object, Object, Object]),
    __metadata("design:returntype", Promise)
], TestTarget.prototype, "listdefaults", null);
__decorate([
    decorators_1.default.Method('Get', '/api/player/:player_id'),
    __param(0, commons_1.Mapping.Param('player_id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], TestTarget.prototype, "read", null);
__decorate([
    decorators_1.default.Method('Get', '/api/player/:field/:value'),
    __param(0, commons_1.Mapping.Param('field')), __param(1, commons_1.Mapping.Param('value')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Number]),
    __metadata("design:returntype", Promise)
], TestTarget.prototype, "getByField", null);
__decorate([
    decorators_1.default.Method('Put', '/api/player'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], TestTarget.prototype, "update", null);
__decorate([
    decorators_1.default.Method('Delete', '/api/player'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], TestTarget.prototype, "delete", null);
TestTarget = __decorate([
    decorators_1.default.Auth(commons_1.AuthType.Basic, { user: 'user', pass: 'pass' }),
    decorators_1.default.MethodConfig('TestTarget')
], TestTarget);
exports.TestTarget = TestTarget;
//# sourceMappingURL=target.test.js.map