"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var SocketTestServer_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocketTestServer = void 0;
const server_1 = require("@methodus/server");
new server_1.MethodHandler();
new server_1.MethodPipeHandler();
const decorators_1 = require("@methodus/server/decorators");
const controllers_1 = require("../controllers/");
const index_1 = require("../../index");
const server_2 = require("@methodus/server");
let SocketTestServer = SocketTestServer_1 = class SocketTestServer extends server_2.ConfiguredServer {
    constructor() {
        super(SocketTestServer_1);
    }
};
SocketTestServer = SocketTestServer_1 = __decorate([
    decorators_1.default.ServerConfiguration(index_1.SocketIO, { port: process.env.PORT || 8020 }),
    decorators_1.default.RouterConfiguration(controllers_1.TestController, index_1.SocketIO),
    decorators_1.default.ClientConfiguration(controllers_1.TestTarget, index_1.SocketIO, 'http://localhost:8020'),
    __metadata("design:paramtypes", [])
], SocketTestServer);
exports.SocketTestServer = SocketTestServer;
//# sourceMappingURL=socket.server.js.map